/* ServerCommunication.java

        Purpose: To abstract accepting client sockets

        History:

        08-16-98        rw      Created


*/
import java.net.*;
import java.io.IOException;

/** The ServerCommunication class handles interaction with the server
socket.

*/

public class ServerCommunication  {

/** The port on which to listen */
        private int     Port;
/** The Java Socket on which we are communicating */
        private ServerSocket    Server;

        public ServerCommunication (int Port){
                try {
                        Server = new ServerSocket (Port);
                } catch (IOException ioe){
                }
        }

/** Waits for a client connection, then returns a new Communication object
@see Communication
*/
        public Communication GetClientConnection (){
                Socket s;
                try {
                        Communication   c;
                        s = Server.accept();
                        c = new Communication(s);
                        return c;

                } catch (IOException ioe){
                        return null;
                }
        }

/** Causes the server to shutdown. (<B>NYI</B>)

*/
        public void Shutdown (){
                return;
        }

}
